> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a project environment



## OpenAPI

````yaml /specs/realtime/openapi.public.json delete /v1alpha1/project/{projectID}/environment/{projectEnvironmentID}
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
paths:
  /v1alpha1/project/{projectID}/environment/{projectEnvironmentID}:
    delete:
      tags:
        - EnvironmentPublicApi
        - Public-Docs
      summary: Delete a project environment
      operationId: ProjectEnvironmentApiPublicHTTPController_deleteOne
      parameters:
        - name: projectID
          required: true
          in: path
          description: ID of the project that owns the environments.
          schema:
            type: string
        - name: projectEnvironmentID
          required: true
          in: path
          schema:
            type: string
      responses:
        '204':
          description: ''
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````